[Mesa-dev] [PATCH v2 03/23] glsl/tests/warnings-test: error out if glsl_compiler is missing
Emil Velikov
emil.l.velikov at gmail.com
Fri Mar 17 13:19:29 UTC 2017
From: Emil Velikov <emil.velikov at collabora.com>
... or non-executable, in particular.
Signed-off-by: Emil Velikov <emil.velikov at collabora.com>
---
src/compiler/glsl/tests/warnings-test.sh | 5 +++++
1 file changed, 5 insertions(+)
diff --git a/src/compiler/glsl/tests/warnings-test.sh b/src/compiler/glsl/tests/warnings-test.sh
index 6a52d4064f8..50d760511c0 100755
--- a/src/compiler/glsl/tests/warnings-test.sh
+++ b/src/compiler/glsl/tests/warnings-test.sh
@@ -6,6 +6,11 @@ compiler=./glsl_compiler
total=0
pass=0
+if [ ! -e "$compiler" ]; then
+ echo "Could not find glsl_compiler. Ensure that it is build via make check"
+ exit 1
+fi
+
echo "====== Testing compilation output ======"
for test in `find . -iname '*.vert'`; do
echo -n "Testing $test..."
--
2.11.1
More information about the mesa-dev
mailing list